Commit b5e499a7 authored by Ben Boeckel's avatar Ben Boeckel
Browse files

cmake: add a warning about packaging on macOS 11 and old CMake

parent 9f6b0526
......@@ -2,6 +2,14 @@ cmake_minimum_required(VERSION 3.11.2)
project(cmb-superbuild)
if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Darwin" AND
NOT CMAKE_HOST_SYSTEM_VERSION VERSION_LESS "20.2.0" # macOS 11
AND CMAKE_VERSION VERSION_LESS "3.19.0")
message(AUTHOR_WARNING
"Note that macOS 11 has changes which requires CMake 3.19.0 to "
"successfully package the applications.")
endif ()
list(INSERT CMAKE_MODULE_PATH 0
"${CMAKE_CURRENT_LIST_DIR}/cmake")
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment